## freebsd-glue 0.0.4

=== debian/changelog ===
freebsd-glue (0.0.4) unstable; urgency=high

  * Add libutil.h and nlist.h.

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jun 2012 19:51:41 +0200

freebsd-glue (0.0.3) unstable; urgency=low

  * Move freebsd-buildutils from Depends to Recommends to break circular
    dependency.  (Closes: #674806)
  * Don't include <sys/_types.h> on non-kFreeBSD.  (Closes: #674803)

 -- Robert Millan <rmh@debian.org>  Mon, 28 May 2012 11:02:56 +0200

freebsd-glue (0.0.2) unstable; urgency=low

  * Add Vcs-* fields and set Maintainer to debian-bsd.
  * Add Breaks on freebsd-buildutils (<< 9.0-10).  (Closes: #674528)
  * Include <string.h> before feature_present().
  * Make <sys/types.h> implicitly include <sys/select.h>.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 19:13:17 +0200

freebsd-glue (0.0.1) unstable; urgency=low

  * Initial release.

 -- Robert Millan <rmh@debian.org>  Sat, 19 May 2012 14:35:32 +0200
