=== debian/control ===
Source: freebsd-glue
Section: devel
Priority: extra
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends:
 debhelper (>= 8.0),
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-glue/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-glue/
Standards-Version: 3.9.3

Package: freebsd-glue
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 original-awk,
 make,
 libbsd-dev (>= 0.4.0-1~),
 libexpat-dev,
Recommends:
# Can't put this in Depends because it would introduce a circular dependency
# (see #674806).
 freebsd-buildutils,
Conflicts: kfreebsd-kernel-headers (<< 0.80)
Replaces: freebsd-buildutils (<< 9.0-10)
Breaks: freebsd-buildutils (<< 9.0-10)
Description: Emulate a FreeBSD build environment
 This package provides a set of glue headers and symbolic links to emulate
 a FreeBSD build environment.
 .
 Its goal is to make it as easy as possible to build source code written for
 FreeBSD on Debian, by adding the necessary glue so that equivalent interfaces
 in packages like freebsd-buildutils, libbsd-dev or libexpat-dev are directly
 available to pristine FreeBSD code.
 .
 freebsd-glue strives for bug-for-bug compatibility and will even attempt
 to accommodate for unspecified features (such as implicit header inclusion),
 as long as this doesn't cause breakage in other areas.
