## freebsd-glue 0.0.9

=== debian/changelog ===
freebsd-glue (0.0.9) unstable; urgency=low

  * Make <sys/_types.h> and <machine/_types.h> usable on non-kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:55:14 +0200

freebsd-glue (0.0.8) unstable; urgency=low

  * Include <grp.h> in <unistd.h> (for initgroups).
  * Add __containerof() to <sys/cdefs.h>.
  * Add roundup2 in <sys/param.h>. It is no longer provided by glibc
    (??).

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 15:21:09 +0200

freebsd-glue (0.0.7) unstable; urgency=low

  * Replace versions of freebsd-buildutils which included their own
    yacc. (Closes: #715138)
  * Misc fixes to accomodate for FreeBSD 9.1.

 -- Robert Millan <rmh@debian.org>  Tue, 09 Jul 2013 22:32:45 +0200

freebsd-glue (0.0.6) unstable; urgency=low

  * Misc additions to simplify PPP patchset in freebsd-utils.
  * Add yacc -> byacc symlink.
  * Add _SAFE macros in <sys/queue.h>.

 -- Robert Millan <rmh@debian.org>  Fri, 05 Jul 2013 22:02:54 +0200

freebsd-glue (0.0.5) unstable; urgency=low

  * Drag libbsd counterparts into <stdio.h> and <stdlib.h>.

 -- Robert Millan <rmh@debian.org>  Wed, 19 Jun 2013 21:05:20 +0200
