=== debian/control ===
--- 
+++ 
@@ -16,12 +16,14 @@
  make,
  libbsd-dev (>= 0.4.0-1~),
  libexpat-dev,
+ byacc,
 Recommends:
 # Can't put this in Depends because it would introduce a circular dependency
 # (see #674806).
  freebsd-buildutils,
 Conflicts: kfreebsd-kernel-headers (<< 0.80)
-Replaces: freebsd-buildutils (<< 9.0-10)
+Replaces:
+ freebsd-buildutils (<< 10~svn237137-1~),
 Breaks: freebsd-buildutils (<< 9.0-10)
 Description: Emulate a FreeBSD build environment
  This package provides a set of glue headers and symbolic links to emulate
