## freebsd-glue 0.2.17

=== debian/changelog ===
freebsd-glue (0.2.17) unstable; urgency=low

  * Remove dependency on libutil-freebsd-dev (it was only needed during
    transition of libutil.h).
  * Allow users to force use of embedded headers even when building
    natively, by setting __FREEBSD_GLUE_USE_EMBEDDED_HEADERS macro. This
    makes it possible to detect FTBFS errors that affect other platforms
    also on GNU/kFreeBSD.
  * Update embedded copy of <sys/elf_common.h>.
  * Add getbsize().
  * Add arc4random_buf() prototype to <stdlib.h>.
  * Add _PATH_GBDE, _PATH_GELI and _PATH_MDCONFIG to <paths.h>.
  * Add swapon() and swapoff() prototypes to <unistd.h>.
  * Add basename_r().
  * Add capsicum(4) family of functions.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 23:45:07 +0100

freebsd-glue (0.2.16) unstable; urgency=low

  * Only include <sys/sysctl.h> when needed (should fix FTBFS on
    hurd-i386).
  * Add __ELF_WORD_SIZE to <machine/__get_elf_arch.h>.
  * Add a few FreeBSD-specific clocks on non-kFreeBSD systems.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 15:15:59 +0100

freebsd-glue (0.2.15) unstable; urgency=low

  * Fix /usr/lib/freebsd/bmake permissions.
  * Make the libbsd-dev B-D explicit now that freebsd-buildutils doesn't
    pull it.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 02:09:59 +0100

freebsd-glue (0.2.14) unstable; urgency=low

  * Add <sys/elf.h>.
  * Switch to bmake, and finish breaking the circular build-dependency
    on freebsd-buildutils.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 01:30:59 +0100

freebsd-glue (0.2.13) unstable; urgency=low

  * Explicitly request gcc-4.8 as sbuild can't handle build dependencies
    properly (sigh).

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 20:15:04 +0100

freebsd-glue (0.2.12) unstable; urgency=low

  * Invoke FreeBSD make explicitly as fmake.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 19:47:27 +0100

freebsd-glue (0.2.11) unstable; urgency=low

  * Yet another attempt at fixing FTBFS with older freebsd-buildutils...

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 18:41:42 +0100

freebsd-glue (0.2.10) unstable; urgency=low

  * Attempt to use fmake, then fallback to make (in /usr/lib/freebsd).
    This garantees FreeBSD make no matter which freebsd-buildutils we're
    using.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 18:17:49 +0100

freebsd-glue (0.2.9) unstable; urgency=low

  * sysarch.c: Avoid conflicting declarations in <machine/sysarch.h>.
  * Require GCC 4.8 or later to fix FTBFS on ia64, powerpc and sparc.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 17:52:03 +0100

freebsd-glue (0.2.8) unstable; urgency=low

  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Provide legacy symlinks for make and mtree (for now, fmake and
    fmtree).
  * Add wrapper for bmake (force it to use /usr/share/mk-freebsd instead
    of its own /usr/share/mk).
  * Add a few sysarch-based functions: amd64_get_fsbase,
    amd64_get_gsbase, amd64_set_fsbase, amd64_set_gsbase,
    i386_get_fsbase, i386_get_gsbase, i386_set_fsbase and
    i386_set_gsbase.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 16:03:44 +0100

freebsd-glue (0.2.7) unstable; urgency=low

  * Remove getpeereid(), use version from libbsd instead.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 00:53:25 +0100

freebsd-glue (0.2.6) unstable; urgency=low

  * Use -O2 for normal build and -Os for udeb build.
  * Use MAKEOBJDIRPREFIX instead of MAKEOBJDIR, so that each library has
    its own object directory.
  * Provide bsd_sendfile() syscall stub, and map sendfile() to it in
    <sys/socket.h>.
  * Convert cget* family of functions into dummy stubs. This gets rid of
    -ldb dependency, which isn't permissible outside of /usr.
    (Closes: #732617)
  * Add getpeereid().

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 00:30:03 +0100

freebsd-glue (0.2.5) unstable; urgency=low

  * Include libbsdxml.so in freebsd-glue.
  * Split udeb build into a separate target. Exclude getcap.c from that
    build and its associated -ldb.  (Closes: #731258)

 -- Robert Millan <rmh@debian.org>  Tue, 03 Dec 2013 22:28:21 +0100

freebsd-glue (0.2.4) unstable; urgency=low

  * Remove libutil glue code, depend on the real thing instead.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 12:58:10 +0100

freebsd-glue (0.2.3) unstable; urgency=low

  * Only install *.so symlink for libfreebsd-glue.

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:08:07 +0100

freebsd-glue (0.2.2) unstable; urgency=low

  * Add strnstr().
  * setfstab: Only fail when file != NULL. Set errno when failing.
  * Provide libbsdxml stubs (for libexpat).

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 12:09:03 +0100

freebsd-glue (0.2.1) unstable; urgency=low

  * Fix broken external references in mac_set.c.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Nov 2013 18:38:51 +0100

freebsd-glue (0.2.0) experimental; urgency=low

  * Provide a shared version of libfreebsd-glue.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Nov 2013 14:05:57 +0100

freebsd-glue (0.1.15) unstable; urgency=low

  * Add INADDR_ALLRPTS_GROUP, INADDR_CARP_GROUP, INADDR_PFSYNC_GROUP and
    INADDR_ALLMDNS_GROUP magic IPv4 addresses.
  * Add the mac_* family of functions (as defined by <sys/mac.h>.
  * Move <sys/stdint.h> to <stdint.h>.
  * Add <sys/stdint.h> (as #include stub).
  * Add _PATH_DEVZERO.
  * Split additions for libcrypt, libutil and libz into separate
    libraries.
  * Add getbootfile().
  * Add <ndbm.h> stub (for libgdbm).
  * Add <sys/file.h> (stub for <sys/kglue/sys/file.h>).
  * Add <sys/user.h> and <sys/proc.h>.
  * Add _PATH_UUCPLOCK (diverge from upstream as per FHS).
  * Add mac_set family of functions.
  * Update copyright information.

 -- Robert Millan <rmh@debian.org>  Sun, 24 Nov 2013 14:22:23 +0100

freebsd-glue (0.1.14) unstable; urgency=low

  * Redirect to native <machine/elf.h> on kFreeBSD.

