=== debian/control ===
--- 
+++ 
@@ -5,17 +5,29 @@
 Uploaders: Robert Millan <rmh@debian.org>
 Build-Depends:
  debhelper (>= 8.0),
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-glue/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-glue/
+ kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
+ freebsd-mk,
+ bmake,
+ libbsd-dev,
+ libdb-dev,
+ zlib1g-dev,
+# For -Wno-error=maybe-uninitialized
+ gcc-4.8,
+Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-glue/
+Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-glue/
 Standards-Version: 3.9.3
 
 Package: freebsd-glue
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ libfreebsd-glue-0 (= ${binary:Version}),
  original-awk,
  make,
  libbsd-dev (>= 0.4.0-1~),
+ libdb-dev,
+ zlib1g-dev,
  libexpat-dev,
+ libgdbm-dev,
  byacc,
 Recommends:
 # Can't put this in Depends because it would introduce a circular dependency
@@ -23,7 +35,7 @@
  freebsd-buildutils,
 Conflicts: kfreebsd-kernel-headers (<< 0.80)
 Replaces:
- freebsd-buildutils (<< 10~svn237137-1~),
+ freebsd-buildutils (<< 10.0~svn259404-4~),
 Breaks: freebsd-buildutils (<< 9.0-10)
 Description: Emulate a FreeBSD build environment
  This package provides a set of glue headers and symbolic links to emulate
@@ -37,3 +49,19 @@
  freebsd-glue strives for bug-for-bug compatibility and will even attempt
  to accommodate for unspecified features (such as implicit header inclusion),
  as long as this doesn't cause breakage in other areas.
+
+Package: libfreebsd-glue-0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD glue environment (shared objects)
+ Shared objects for the FreeBSD glue environment.
+
+Package: libfreebsd-glue-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD glue environment (udeb)
+ Shared objects for the FreeBSD glue environment.
+ .
+ This is a minimal package for use in debian-installer.
