## freebsd-glue 0.2.20

=== src/Makefile ===
SUBDIR=	\
	freebsd-glue \
	crypt \
	z \
	${NULL}

.include <bsd.subdir.mk>
