=== src/z/Makefile ===
LIB=	z-freebsd
SRCS=	\
	zopen.c \
	${NULL}

LDADD=	-lz

.include <bsd.lib.mk>
