=== debian/changelog ===
freebsd-glue (0.2.20) unstable; urgency=low

  * Upload to unstable
  
  [ Steven Chamberlain ]
  * Switch to gcc-4.9 (Closes: #751309)
  * Remove funopen, fwopen and fropen definitions, now provided by libbsd
    (Closes: #759249)

 -- Christoph Egger <christoph@debian.org>  Mon, 25 Aug 2014 13:17:44 -0700

freebsd-glue (0.2.19) unstable; urgency=low

  * Add MAXHOSTNAMELEN fallback.
  * Add isnumber().

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 20:27:53 +0100

freebsd-glue (0.2.18) experimental; urgency=low

  * Add PATH_MAX and MAXPATHLEN fallbacks for systems that lack them.
  * Uploading to experimental as kfreebsd-kernel-headers 10.0 (needed by
    capsicum) is only available there.

 -- Robert Millan <rmh@debian.org>  Tue, 21 Jan 2014 12:48:14 +0100
