## freebsd-glue 0.2.22

=== src/crypt/Makefile ===
LIB=	crypt-freebsd
SRCS=	\
	crypt.c \
	${NULL}

LDADD=	-lcrypt

.include <bsd.lib.mk>
