=== src/freebsd-glue/Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 	exec.c \
 	feature_present.c \
 	fstab.c \
-	funopen.c \
 	getbsize.c \
 	getcap.c \
 	getosreldate.c \
