=== debian/changelog ===
freebsd-glue (0.2.22) unstable; urgency=medium

  * Actually use the proper build architecture compiler
    (thanks, Helmut Grohne!)
  * Drop freebsd-glue's seemingly unnecessary dependency on 'make'

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 00:48:23 +0000

freebsd-glue (0.2.21) unstable; urgency=medium

  * Add myself to Uploaders.
  * No longer Build-Depends specifically on gcc-4.9 (gcc-5 and gcc-6
    are both fine).
  * Fixes for cross building:
    - don't override $CC (as explained by Helmut Grohne, it forced use
      of the build architecture compiler).
    - build get_elf_arch with the build architecture compiler, but
      examine a host arch binary (also suggested by Helmut Grohne,
      thanks!)
  * Now using Standards-Version 3.9.7 (no changes needed).

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 02 Mar 2016 14:06:22 +0000
