=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Robert Millan <rmh@debian.org>
+Uploaders:
+ Robert Millan <rmh@debian.org>,
+ Steven Chamberlain <steven@pyro.eu.org>,
 Build-Depends:
  debhelper (>= 8.0),
  kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
@@ -11,18 +13,15 @@
  libbsd-dev,
  libdb-dev,
  zlib1g-dev,
-# For -Wno-error=maybe-uninitialized
- gcc-4.9,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-glue/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-glue/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.7
 
 Package: freebsd-glue
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libfreebsd-glue-0 (= ${binary:Version}),
  original-awk,
- make,
  libbsd-dev (>= 0.7.0-1~),
  libdb-dev,
  zlib1g-dev,
