=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+# Determine host architecture compiler
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+# Determine build architecture compiler
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+NATIVE_CC		?= $(DEB_BUILD_GNU_TYPE)-gcc
 
 export SHELL = bash
 
@@ -18,7 +30,7 @@
 	CFLAGS="$(CFLAGS) -O2" \
 	DESTDIR="$(DESTDIR)" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.9 \
+	CC=$(CC) \
 	$(NULL)
 PMAKE_UDEB := \
 	MAKEFLAGS=$(BSD_MAKEFLAGS) \
@@ -26,22 +38,24 @@
 	CFLAGS="$(CFLAGS) -Os" \
 	DESTDIR="$(DESTDIR)-udeb" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.9 \
+	CC=$(CC) \
 	RESCUE=yes \
 	$(NULL)
-
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 clean:
 	dh_testdir
 	rm -rf obj-{deb,udeb} debian/tmp-udeb
-	rm -f include/machine/__get_elf_arch.h src/get_elf_arch
+	rm -f include/machine/__get_elf_arch.h src/get_elf_arch src/host_elf_arch
 	dh_clean
 
-src/get_elf_arch: src/get_elf_arch.c
-include/machine/__get_elf_arch.h: src/get_elf_arch
-	$^ > $@
+# Build this for the build architecture, as it is executed during build
+# to examine host_elf_arch
+src/get_elf_arch:
+	$(NATIVE_CC) src/get_elf_arch.c -o src/get_elf_arch
+# Build this for the host architecture.
+src/host_elf_arch: src/host_elf_arch.c
+include/machine/__get_elf_arch.h: src/get_elf_arch src/host_elf_arch
+	$^ src/host_elf_arch > $@
 
 build: build-arch
 build-arch: build-deb build-udeb
