## freebsd-glue 0.2.22+nmu1

=== debian/changelog ===
freebsd-glue (0.2.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gcc-9. (Closes: #964661)
  * Include #pragma once in md5.h for freebsd-buildutils.
  * Temporarily include lorder/tsort workaround. (Closes: #964661)

 -- Bastian Germann <bage@debian.org>  Mon, 07 Aug 2023 01:20:16 +0200
