=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Steven Chamberlain <steven@pyro.eu.org>,
 Build-Depends:
  debhelper (>= 8.0),
+ gcc-9,
  kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
  freebsd-mk,
  bmake,
