=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Determine host architecture compiler
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 ifeq ($(origin CC),default)
-CC := $(DEB_HOST_GNU_TYPE)-gcc
+CC := $(DEB_HOST_GNU_TYPE)-gcc-9
 endif
 
 # Determine build architecture compiler
@@ -23,7 +23,7 @@
 endif
 
 DESTDIR = $(CURDIR)/debian/tmp
-PATH := /usr/lib/freebsd:$(PATH)
+PATH := $(CURDIR)/debian:/usr/lib/freebsd:$(PATH)
 PMAKE := \
 	MAKEFLAGS=$(BSD_MAKEFLAGS) \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
